Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in plexus-utils2
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in plexus-utils2
ID: DSA-4149-1
Distribution: Debian
Plattformen: Debian jessie
Datum: Do, 22. März 2018, 23:40
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-1000487
Applikationen: plexus-utils2

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

- -------------------------------------------------------------------------
Debian Security Advisory DSA-4149-1 security@debian.org
https://www.debian.org/security/ Moritz Muehlenhoff
March 22, 2018 https://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : plexus-utils2
CVE ID : CVE-2017-1000487

Charles Duffy discovered that the Commandline class in the utilities for
the Plexus framework performs insufficient quoting of double-encoded
strings, which could result in the execution of arbitrary shell commands.

For the oldstable distribution (jessie), this problem has been fixed
in version 3.0.15-1+deb8u1.

For the stable distribution (stretch), this problem has been prior to
the initial release.

We recommend that you upgrade your plexus-utils2 packages.

For the detailed security status of plexus-utils2 please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/plexus-utils2

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org
-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEtuYvPRKsOElcDakFEMKTtsN8TjYFAlq0KP8ACgkQEMKTtsN8
TjZ/yQ//etD7WOPBDuJJb6VFoduM7pPezU73h5MpDKDTr30MCl9FW3MajX6MJEdm
nmqyPD+xzrbPrfAfiuy9gEnwWw2LTQdtVSYvgDH3Uwa4+QPjrLiJeK400rhUI7yl
hCI/fGao3i49svR+ehHNeV8ICmMIMkhEnio4qkccUhkxYT3zLHYbXR+ivLjCt9P8
o7cw87K5j1tvg8WLGVeaso045BlFDqXdnnqqtDeAmmD0l8QF4dN1Ox8LOrKinKos
D25j75qp/O+aMXHM6VNS/3XMsjcp6hI41ZtSC41G+7CfzkipP4pmUadIj8e1lXjA
NqCF8TytheK4eqVjqNhn43iZevfFo57zvU0nJvP147kACqjUmAPxKnuM3STRQD+N
cIRHGRnSN7RkJEnmxIiVdWOD0IrESrL4OHwxrjjr60OJACkf41BPQ7pbyVZ1+irP
o5x8BJyC4n5YSefzqMvqcYKX+bY8brwus/auYnKPxtdUS5VFEi5DrVrMfHq4w70W
U2rSNtXdSPtcM3veYzvaGpxby1tF2rvPvWXvzVcVJ0XqrkQ2v6s9W7dVRlp/JIb6
8DRAD/D/YU6jllZ1TOQIh7pswaqyr+OC/cfJb3xjzqdDbI0ERUkCXeG/ZOtq2ChH
0mvdTBQuDugkokdAe6pQmSDKlsZZ+EbYqinjp0aWqpUfNkZalWk=
=HEI2
-----END PGP SIGNATURE-----
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung